GET /api/v3/placeGroup/{placeGroupId}/member

Gets a list of place group members

GetPlaceGroupMembersV3 Permissions: GroupsAndBenchmarksModule (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
placeGroupId integer (int32) Required

Query Parameters

Name Description Type Required
alwaysLimitByTopmost boolean Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

GroupPlaceGroupMember
Property Description Type
includeInCharts The flag determining whether the place is included in group charts Required (defined) boolean
parent PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
placeCode The place code Required (defined) string
placeId The place identifier Required (defined) integer (int32)
placeInfo The place info Required (defined) string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
Example Response application/json
[
  {    "includeInCharts": false,    "parent": {      "isDataRolledUp": false,      "placeCode": "string",      "placeId": 1,      "placeInfo": "string",      "placeType": {}
    },    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "placeType": {      "icon": {},      "isSystemPlaceType": false,      "placeEntityType": {},      "placeTypeCode": "string",      "placeTypeId": 1,      "placeTypeInfo": "string",      "structure": false
    }
  }
]